Bug 220258 - [WinCairo][curl] Enable CURLSSLOPT_NATIVE_CA flag to use system's CA certs instead of cacert.pem
Summary: [WinCairo][curl] Enable CURLSSLOPT_NATIVE_CA flag to use system's CA certs in...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-01-04 18:28 PST by Fujii Hironori
Modified: 2021-07-05 17:24 PDT (History)
11 users (show)

See Also:


Attachments
Patch (5.40 KB, patch)
2021-01-04 18:31 PST, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (6.67 KB, patch)
2021-01-05 12:09 PST, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2021-01-04 18:28:37 PST
[WinCairo][curl] Enable CURLSSLOPT_NATIVE_CA flag to use system's CA certs instead of cacert.pem

CURLOPT_SSL_OPTIONS
https://curl.se/libcurl/c/CURLOPT_SSL_OPTIONS.html

> CURLSSLOPT_NATIVE_CA
> 
> Tell libcurl to use the operating system's native CA store for
> certificate verification. Works only on Windows when built to use
> OpenSSL. This option is experimental and behavior is subject to
> change. (Added in 7.71.0)
Comment 1 Fujii Hironori 2021-01-04 18:31:53 PST
Created attachment 416969 [details]
Patch
Comment 2 Don Olmstead 2021-01-05 09:33:15 PST
Comment on attachment 416969 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=416969&action=review

r=me with nit before landing.

> Source/WebCore/ChangeLog:8
> +        Libcurl 7.71 added a new flag CURLSSLOPT_NATIVE_CA to use the

You should bump the required version in OptionWinCairo.cmake then.
Comment 3 Fujii Hironori 2021-01-05 12:02:03 PST
Comment on attachment 416969 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=416969&action=review

>> Source/WebCore/ChangeLog:8
>> +        Libcurl 7.71 added a new flag CURLSSLOPT_NATIVE_CA to use the
> 
> You should bump the required version in OptionWinCairo.cmake then.

Good point. Will do that.
Comment 4 Fujii Hironori 2021-01-05 12:09:57 PST
Created attachment 417025 [details]
Patch
Comment 5 Fujii Hironori 2021-01-05 12:33:57 PST
Committed r271170: <https://trac.webkit.org/changeset/271170>
Comment 6 Radar WebKit Bug Importer 2021-01-05 12:34:15 PST
<rdar://problem/72824805>
Comment 7 Fujii Hironori 2021-07-05 17:24:21 PDT
Filed: Bug 227694 – [curl][Win] wss: WebSocket doesn't work since r271170